Skip to main content
POST
/
ai
/
projects
/
{project_id}
/
board
/
items
/
{item_id}
/
update
Update board item
curl --request POST \
  --url https://api.wacht.dev/ai/projects/{project_id}/board/items/{item_id}/update \
  --header 'Content-Type: multipart/form-data' \
  --cookie __session= \
  --form 'title=<string>' \
  --form 'description=<string>' \
  --form 'status=<string>' \
  --form 'priority=<string>' \
  --form 'schedule_kind=<string>' \
  --form next_run_at=2023-11-07T05:31:56Z \
  --form interval_seconds=123 \
  --form clear_schedule=true \
  --form 'files=<string>' \
  --form files.items='@example-file'
{
  "status": 123,
  "message": "<string>",
  "session": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "data": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "board_id": "<string>",
    "task_key": "<string>",
    "title": "<string>",
    "description": "<string>",
    "status": "<string>",
    "priority": "<string>",
    "assigned_thread_id": "<string>",
    "metadata": {},
    "schedule": {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "template_board_item_id": "<string>",
      "status": "<string>",
      "schedule_kind": "<string>",
      "interval_seconds": 123,
      "next_run_at": "2023-11-07T05:31:56Z",
      "last_enqueued_at": "2023-11-07T05:31:56Z"
    },
    "completed_at": "2023-11-07T05:31:56Z",
    "archived_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

__session
string
cookie
required

Path Parameters

project_id
string
required
item_id
string
required

Body

multipart/form-data
title
string
description
string
status
string
priority
string
schedule_kind
string
next_run_at
string<date-time>
interval_seconds
integer
clear_schedule
boolean
files
file[]

Response

200 - application/json

Updated board item

status
integer
message
string
session
object
errors
object[]
data
object